package com.jqtx.windows.utils;

import java.sql.Timestamp;
import java.time.*;
import java.util.Date;

public class DateUtils {
    public static Date toDate(LocalDateTime localDateTime) {
        Instant instant = localDateTime.atZone(ZoneId.systemDefault()).toInstant();
        return Date.from(instant);
    }

    public static Date toDate(LocalDate localDate) {
        Timestamp timestamp = Timestamp.valueOf(localDate.atTime(LocalTime.MIDNIGHT));
        return new Date(timestamp.getTime());
    }
}
